Subject: Re: bug#55202: 27.1 Feature request: Show parens when point is anywhere inside of them

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 02 May 2022 10:04:20 +0200

José Júnior <[email-masked]> writes:

> I didn't know how to answer, so I looked how other editors do. I found two behaviors: 
>
> 1. Unless the point is right by the parens, it should highlight the curly braces. So in
> this case it would highlight the curly braces.
>
> With the point in these places would highlight the parens, otherwise would highlight
> the curly braces:
>
> {|(|foobar}|)| 
>
> 2. Ignore and don't highlight anything.

I guess 2) seems more consistent, but I don't have much of an opinion.
Choosing one or the other of the parentheses seems a bit arbitrary. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no